cwlr.net
相关文档
当前位置:首页 >> gliB.h no suCh FilE >>

gliB.h no suCh FilE

sudo apt-get install libglib2.0-dev

建议使用yum -y install glib的方式来安装,这样你不必担心相关的依赖关系

需要安装libffi-dev包,你用的什么系统?如果是ubuntu或者debian的话,运行: sudo apt-get install libffi-dev

先在源代码目录下检查一下有没有ffi.h 如果有 说明你的include目录设的不对 如果没有那么说明你下的不完全

安装一个共享包:MySQL-shared-5.0.22-0.i386.rpm,根据你的mysql版本去下个类似的包安装一下

前一个路径应该是以编译源码目录为相对的地址,你可以考虑:1.更新编译文件,这是明显的错误。2.复制一个自己的头文件到目标位置。3.丢一份完整的dbus代码到目标。 如果更新文件之后依旧,应该有README说明这一点。请不要对英文感到没意思。

尝试一下 sudo aptitude install libglib2.0-dev 安装后的文件位于/usr/include/glib-2.0/glib.h

yum whatprovides glib.h 找出要装的包, 然后用 yum install 包名 不一定是2.0的包。如果不是你可以到网上搜一下,2.0的rpm包,然后用rpm -ivh 包名安装。

直接用绝对路径测试下:#include"/usr/include/glib-2.0/glib.h"

你看的那个例子已经过期了,你想要的头文件已经变成了dbus-glib-lowlevel.h,请参考其他的例子

网站首页 | 网站地图
All rights reserved Powered by www.cwlr.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com